Skip to main content
POST
Save explicit inline edits to the same Drive file

Authorizations

x-api-key
string
header
required

Organization API key passed as the x-api-key header. The raw key is the header value; do not prefix it with Bearer.

Path Parameters

fileId
string
required
Required string length: 1 - 512
Pattern: ^[A-Za-z0-9_-]+$

Body

application/json
kind
string
required
Allowed value: "spreadsheet"
connectionId
string
required
Pattern: ^(google-workspace|emc_[A-Za-z0-9]+)$
revision
string
required
Required string length: 1 - 512
sheetId
string
required
Required string length: 1 - 200
changes
object[]
required
Required array length: 1 - 500 elements

Response

Document result.

ok
boolean
required